Witam W jednym montażu użyłem funkcji " szwu spawalniczego ". Chcę pobrać wartość właściwości " całkowita długość spoiny " w moich właściwościach niestandardowych. Nie wiem jednak, jak poprawnie wywołać właściwość " LENGTH ", która ma podnieść tę wartość.
Czy istnieje dokument, który szczegółowo wyjaśnia, jak korzystać z Property Managera?
Option Explicit
Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swWeldFolder As SldWorks.CosmeticWeldBeadFolder
Dim swFeat As SldWorks.Feature
Dim swSubFeat As SldWorks.Feature
Dim Msg As String
Msg = ""
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
If swModel Is Nothing Then MsgBox "Ouvrir un assemblage": Exit Sub
If swModel.GetType <> swDocumentTypes_e.swDocASSEMBLY Then MsgBox "Ouvrir un assemblage": Exit Sub
Set swFeat = swModel.FirstFeature
While Not swFeat Is Nothing
If swFeat.GetTypeName2 = "CosmeticWeldCutList" Then
Set swSubFeat = swFeat.GetFirstSubFeature
While Not swSubFeat Is Nothing
Set swWeldFolder = swSubFeat.GetSpecificFeature2
Msg = Msg & swWeldFolder.TotalNumber & " cordon de longueur totale: " & Round(swWeldFolder.TotalLength) & "mm" & vbCrLf
Set swSubFeat = swSubFeat.GetNextSubFeature
Wend
End If
Set swFeat = swFeat.GetNextFeature
Wend
MsgBox Msg
End Sub
Witaj Hieronim, Dziękuję za to makro, jest świetne. Zmodyfikowałem kilka linii, aby sumowały długości różnych rozmiarów spoin. Teraz muszę skojarzyć tę wartość z niestandardową właściwością modelu SolidWorks. Czy istnieje leksykon zawierający różne " obiekty ", które mogą być wywoływane w VBA w SolidWorks, " funkcje " z nimi związane, a także różne typy zmiennych?
Dla różnych obiektów istnieje ta lista, ale wyszukiwanie w Google jest szybsze. Aby odczytać właściwość niestandardową, użyj polecenia Get4 Aby napisać właściwość niestandardową, użyj polecenia Add3